summaryrefslogtreecommitdiff
path: root/external-pipe_scripts/st-copyout
diff options
context:
space:
mode:
Diffstat (limited to 'external-pipe_scripts/st-copyout')
-rwxr-xr-xexternal-pipe_scripts/st-copyout9
1 files changed, 9 insertions, 0 deletions
diff --git a/external-pipe_scripts/st-copyout b/external-pipe_scripts/st-copyout
new file mode 100755
index 0000000..220bff1
--- /dev/null
+++ b/external-pipe_scripts/st-copyout
@@ -0,0 +1,9 @@
+#!/bin/sh
+tmpfile=$(mktemp /tmp/st-cmd-output.XXXXXX)
+trap 'rm "$tmpfile"' 0 1 15
+sed -n "w $tmpfile"
+sed -i 's/\x0//g' "$tmpfile"
+ps1="$(grep "\S" "$tmpfile" | tail -n 1 | sed 's/^\s*//' | cut -d' ' -f1)"
+chosen="$(grep -F "$ps1" "$tmpfile" | sed '$ d' | tac | dmenu -p "Copy which command's output?" -i -l 10 | sed 's/[^^]/[&]/g; s/\^/\\^/g')"
+eps1="$(echo "$ps1" | sed 's/[^^]/[&]/g; s/\^/\\^/g')"
+awk "/^$chosen$/{p=1;print;next} p&&/$eps1/{p=0};p" "$tmpfile" | xclip -selection clipboard